Audio error on Arch linux

Hello
I tried both Anki-bin and Anki from AUR. (In safe mode)
mpv-git is installed.
But either way I’m getting this error

Anki 23.12.1 (1a1d4d54) (src) 
Python 3.11.8 Qt 6.6.2 PyQt 6.6.1
Platform: Linux-6.8.2-arch1-1-x86_64-with-glibc2.39

Traceback (most recent call last):
  File "/usr/lib/python3.11/site-packages/aqt/mpv.py", line 371, in _send_request
    return self._get_response(timeout)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/aqt/mpv.py", line 352, in _get_response
    raise MPVCommandError(message["error"])
aqt.mpv.MPVCommandError: invalid parameter

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.11/site-packages/aqt/webview.py", line 50, in cmd
    return json.dumps(self.onCmd(str))
                      ^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/aqt/webview.py", line 157, in _onCmd
    return self._onBridgeCmd(str)
           ^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/aqt/webview.py", line 686, in _onBridgeCmd
    return self.onBridgeCmd(cmd)
           ^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/aqt/overview.py", line 97, in _linkHandler
    self.mw.moveToState("review")
  File "/usr/lib/python3.11/site-packages/aqt/main.py", line 740, in moveToState
    getattr(self, f"_{state}State", lambda *_: None)(oldState, *args)
  File "/usr/lib/python3.11/site-packages/aqt/main.py", line 761, in _reviewState
    self.reviewer.show()
  File "/usr/lib/python3.11/site-packages/aqt/reviewer.py", line 174, in show
    self.refresh_if_needed()
  File "/usr/lib/python3.11/site-packages/aqt/reviewer.py", line 194, in refresh_if_needed
    self.nextCard()
  File "/usr/lib/python3.11/site-packages/aqt/reviewer.py", line 252, in nextCard
    self._showQuestion()
  File "/usr/lib/python3.11/site-packages/aqt/reviewer.py", line 378, in _showQuestion
    av_player.play_tags(sounds)
  File "/usr/lib/python3.11/site-packages/aqt/sound.py", line 150, in play_tags
    self._play_next_if_idle()
  File "/usr/lib/python3.11/site-packages/aqt/sound.py", line 209, in _play_next_if_idle
    self._play(next)
  File "/usr/lib/python3.11/site-packages/aqt/sound.py", line 216, in _play
    self.current_player.play(tag, self._on_play_finished)
  File "/usr/lib/python3.11/site-packages/aqt/sound.py", line 431, in play
    self.command("loadfile", path, "replace", "pause=no")
  File "/usr/lib/python3.11/site-packages/aqt/mpv.py", line 593, in command
    return self._send_request({"command": list(args)}, timeout=timeout)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/aqt/mpv.py", line 373, in _send_request
    raise MPVCommandError(f"{message['command']!r}: {e}")
aqt.mpv.MPVCommandError: ['loadfile', '/home/best8oy/.local/share/Anki2/Languages/collection.media/4000EEW2_B01_U01_0001.word.mp3', 'replace', 'pause=no']: invalid parameter

What could possibly be the cause?

You are welcome to continue using your distro’s version of Anki if you prefer, but if you run into any issues, you will need to report them to your distribution’s package maintainers.
Linux Distro Packages - Anki Manual

Try with the mpv in the extra repo

Arch Linux - mpv 1:0.37.0-2 (x86_64)

2 Likes